#include "GCADP.HXX"

// TKIND_DISPATCH: ArcElem 1.0 {735AAEE6-92C1-11CF-A8F8-444553540000}\409 Arc Element Class

void ArcElem::GetCenterPoint(double far* X, double far* Y) 
{
  AUTONAMES0("GetCenterPoint")
  AUTOARGS2(X, Y)
  AUTOCALL_METHOD_VOID
}

long ArcElem::GetColor() 
{
  AUTONAMES0("GetColor")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

long ArcElem::GetType() 
{
  AUTONAMES0("GetType")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

double ArcElem::GetWidth() 
{
  AUTONAMES0("GetWidth")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

double ArcElem::GetStartAngle() 
{
  AUTONAMES0("GetStartAngle")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

double ArcElem::GetEndAngle() 
{
  AUTONAMES0("GetEndAngle")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

double ArcElem::GetRadius() 
{
  AUTONAMES0("GetRadius")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}


// TKIND_DISPATCH: BmpElem 1.0 {735AAEE7-92C1-11CF-A8F8-444553540000}\409 Bmp Element Class

void BmpElem::GetFirstPoint(double far* X, double far* Y) 
{
  AUTONAMES0("GetFirstPoint")
  AUTOARGS2(X, Y)
  AUTOCALL_METHOD_VOID
}

void BmpElem::GetSecondPoint(double far* X, double far* Y) 
{
  AUTONAMES0("GetSecondPoint")
  AUTOARGS2(X, Y)
  AUTOCALL_METHOD_VOID
}

bool BmpElem::GetScale() 
{
  AUTONAMES0("GetScale")
  AUTOARGS0()
  AUTOCALL_METHOD_CONV(TBool)
}


// TKIND_DISPATCH: CircleElem 1.0 {735AAEE8-92C1-11CF-A8F8-444553540000}\409 Circle Element Class

void CircleElem::GetCenterPoint(double far* X, double far* Y) 
{
  AUTONAMES0("GetCenterPoint")
  AUTOARGS2(X, Y)
  AUTOCALL_METHOD_VOID
}

long CircleElem::GetColor() 
{
  AUTONAMES0("GetColor")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

long CircleElem::GetType() 
{
  AUTONAMES0("GetType")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

double CircleElem::GetWidth() 
{
  AUTONAMES0("GetWidth")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

double CircleElem::GetRadius() 
{
  AUTONAMES0("GetRadius")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}


// TKIND_DISPATCH: FillElem 1.0 {735AAEE9-92C1-11CF-A8F8-444553540000}\409 Fill Element Class

void FillElem::GetFirstVertex(double far* X, double far* Y) 
{
  AUTONAMES0("GetFirstVertex")
  AUTOARGS2(X, Y)
  AUTOCALL_METHOD_VOID
}

bool FillElem::GetNextVertex(double far* X, double far* Y) 
{
  AUTONAMES0("GetNextVertex")
  AUTOARGS2(X, Y)
  AUTOCALL_METHOD_CONV(TBool)
}

long FillElem::GetColor() 
{
  AUTONAMES0("GetColor")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

long FillElem::GetType() 
{
  AUTONAMES0("GetType")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}


// TKIND_DISPATCH: TGcadApp 1.0 {735AAEEA-92C1-11CF-A8F8-444553540000}\409 Application class

bool TGcadApp::GetVisible()     
{
  AUTONAMES0("Visible")
  AUTOARGS0()
  AUTOCALL_PROP_CONV(TBool)
}

void TGcadApp::SetVisible(bool val) 
{
  AUTONAMES0("Visible")
  AUTOARGS0()
  AUTOCALL_PROP_SET(TBool(val))
}

bool TGcadApp::NewDocument() 
{
  AUTONAMES0("NewDocument")
  AUTOARGS0()
  AUTOCALL_METHOD_CONV(TBool)
}

bool TGcadApp::OpenDocument(TAutoString Name) 
{
  AUTONAMES0("OpenDocument")
  AUTOARGS1(Name)
  AUTOCALL_METHOD_CONV(TBool)
}

bool TGcadApp::SaveDocument() 
{
  AUTONAMES0("SaveDocument")
  AUTOARGS0()
  AUTOCALL_METHOD_CONV(TBool)
}

bool TGcadApp::SaveDocumentAs(TAutoString Name) 
{
  AUTONAMES0("SaveDocumentAs")
  AUTOARGS1(Name)
  AUTOCALL_METHOD_CONV(TBool)
}

bool TGcadApp::LoadSymbolLib(TAutoString symFname) 
{
  AUTONAMES0("LoadSymbolLib")
  AUTOARGS1(symFname)
  AUTOCALL_METHOD_CONV(TBool)
}

void TGcadApp::GetView(GcadOleView& obj) 
{
  AUTONAMES0("GetView")
  AUTOARGS0()
  AUTOCALL_METHOD_REF(obj)
}

TAutoString TGcadApp::GetName() 
{
  AUTONAMES0("Name")
  AUTOARGS0()
  AUTOCALL_PROP_GET
}

TAutoString TGcadApp::GetFullName() 
{
  AUTONAMES0("FullName")
  AUTOARGS0()
  AUTOCALL_PROP_GET
}

void TGcadApp::GetApplication(TGcadApp& obj) 
{
  AUTONAMES0("Application")
  AUTOARGS0()
  AUTOCALL_PROP_REF(obj)
}

void TGcadApp::Quit() 
{
  AUTONAMES0("Quit")
  AUTOARGS0()
  AUTOCALL_METHOD_VOID
}


// TKIND_DISPATCH: InsertElem 1.0 {735AAEEB-92C1-11CF-A8F8-444553540000}\409 Insert Element Class

void InsertElem::GetInsertPoint(double far* X, double far* Y) 
{
  AUTONAMES0("GetInsertPoint")
  AUTOARGS2(X, Y)
  AUTOCALL_METHOD_VOID
}

TAutoString InsertElem::GetName() 
{
  AUTONAMES0("GetName")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

double InsertElem::GetRotation() 
{
  AUTONAMES0("GetRotation")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

void InsertElem::GetScale(double far* xfact, double far* yfact) 
{
  AUTONAMES0("GetScale")
  AUTOARGS2(xfact, yfact)
  AUTOCALL_METHOD_VOID
}


// TKIND_DISPATCH: LineElem 1.0 {735AAEEC-92C1-11CF-A8F8-444553540000}\409 Line Element Class

void LineElem::GetFirstPoint(double far* X, double far* Y) 
{
  AUTONAMES0("GetFirstPoint")
  AUTOARGS2(X, Y)
  AUTOCALL_METHOD_VOID
}

void LineElem::GetSecondPoint(double far* X, double far* Y) 
{
  AUTONAMES0("GetSecondPoint")
  AUTOARGS2(X, Y)
  AUTOCALL_METHOD_VOID
}

long LineElem::GetColor() 
{
  AUTONAMES0("GetColor")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

long LineElem::GetType() 
{
  AUTONAMES0("GetType")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

double LineElem::GetWidth() 
{
  AUTONAMES0("GetWidth")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}


// TKIND_DISPATCH: PlineElem 1.0 {735AAEED-92C1-11CF-A8F8-444553540000}\409 Pline Element Class

void PlineElem::GetFirstVertex(double far* X, double far* Y) 
{
  AUTONAMES0("GetFirstVertex")
  AUTOARGS2(X, Y)
  AUTOCALL_METHOD_VOID
}

bool PlineElem::GetNextVertex(double far* X, double far* Y) 
{
  AUTONAMES0("GetNextVertex")
  AUTOARGS2(X, Y)
  AUTOCALL_METHOD_CONV(TBool)
}

long PlineElem::GetColor() 
{
  AUTONAMES0("GetColor")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

long PlineElem::GetType() 
{
  AUTONAMES0("GetType")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

double PlineElem::GetWidth() 
{
  AUTONAMES0("GetWidth")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

long PlineElem::GetClosed() 
{
  AUTONAMES0("GetClosed")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}


// TKIND_DISPATCH: PointElem 1.0 {735AAEEE-92C1-11CF-A8F8-444553540000}\409 Point Element Class

void PointElem::GetPoint(double far* X, double far* Y) 
{
  AUTONAMES0("GetPoint")
  AUTOARGS2(X, Y)
  AUTOCALL_METHOD_VOID
}

long PointElem::GetColor() 
{
  AUTONAMES0("GetColor")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

long PointElem::GetType() 
{
  AUTONAMES0("GetType")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

double PointElem::GetSize() 
{
  AUTONAMES0("GetSize")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}


// TKIND_DISPATCH: TextElem 1.0 {735AAEEF-92C1-11CF-A8F8-444553540000}\409 Text Element Class

void TextElem::GetAlignPoint(double far* X, double far* Y) 
{
  AUTONAMES0("GetAlignPoint")
  AUTOARGS2(X, Y)
  AUTOCALL_METHOD_VOID
}

long TextElem::GetColor() 
{
  AUTONAMES0("GetColor")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

double TextElem::GetHeight() 
{
  AUTONAMES0("GetHeight")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

double TextElem::GetAngle() 
{
  AUTONAMES0("GetAngle")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

double TextElem::GetOrient() 
{
  AUTONAMES0("GetOrient")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

double TextElem::GetWidth() 
{
  AUTONAMES0("GetWidth")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

long TextElem::GetJust() 
{
  AUTONAMES0("GetJust")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

TAutoString TextElem::GetString() 
{
  AUTONAMES0("GetString")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}


// TKIND_DISPATCH: GcadOleView 1.0 {735AAEF0-92C1-11CF-A8F8-444553540000}\409 GammaCAD View Class

TAutoString GcadOleView::GetFirstLayer() 
{
  AUTONAMES0("FirstLayer")
  AUTOARGS0()
  AUTOCALL_PROP_GET
}

TAutoString GcadOleView::GetNextLayer() 
{
  AUTONAMES0("NextLayer")
  AUTOARGS0()
  AUTOCALL_PROP_GET
}

bool GcadOleView::GetDeviceWindow(long far* x1, long far* y1, long far* x2, long far* y2) 
{
  AUTONAMES0("GetDeviceWindow")
  AUTOARGS4(x1, y1, x2, y2)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::GetWorldWindow(double far* x1, double far* y1, double far* x2, double far* y2) 
{
  AUTONAMES0("GetWorldWindow")
  AUTOARGS4(x1, y1, x2, y2)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetPlotScale(double scale, long metric) 
{
  AUTONAMES0("SetPlotScale")
  AUTOARGS2(scale, metric)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetPlotOrigin(double X, double Y) 
{
  AUTONAMES0("SetPlotOrigin")
  AUTOARGS2(X, Y)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::DxfIn(TAutoString filename) 
{
  AUTONAMES0("DxfIn")
  AUTOARGS1(filename)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::DxfOut(TAutoString filename) 
{
  AUTONAMES0("DxfOut")
  AUTOARGS1(filename)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::CreateLine(double x1, double y1, double x2, double y2) 
{
  AUTONAMES0("CreateLine")
  AUTOARGS4(x1, y1, x2, y2)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::CreateArc(double xc, double yc, double x1, double y1, double x2, double y2) 
{
  AUTONAMES0("CreateArc")
  AUTOARGS6(xc, yc, x1, y1, x2, y2)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::CreateCircle(double xc, double yc, double dist) 
{
  AUTONAMES0("CreateCircle")
  AUTOARGS3(xc, yc, dist)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::CreateEllipse(double xc, double yc, double x1, double y1, double x2, double y2) 
{
  AUTONAMES0("CreateEllipse")
  AUTOARGS6(xc, yc, x1, y1, x2, y2)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::CreatePoint(double x1, double y1) 
{
  AUTONAMES0("CreatePoint")
  AUTOARGS2(x1, y1)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::CreateText(double x1, double y1, TAutoString text) 
{
  AUTONAMES0("CreateText")
  AUTOARGS3(x1, y1, text)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::CreateSymbol(double x1, double y1, TAutoString symName, double rot, double xsc, double ysc) 
{
  AUTONAMES0("CreateSymbol")
  AUTOARGS6(x1, y1, symName, rot, xsc, ysc)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::CreateLeader(double x1, double y1, double x2, double y2, TAutoString text) 
{
  AUTONAMES0("CreateLeader")
  AUTOARGS5(x1, y1, x2, y2, text)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::CreateLinearDim(double x1, double y1, double x2, double y2, double x3, double y3, double dist, double ang, TAutoString text) 
{
  AUTONAMES0("CreateLinearDim")
  AUTOARGS9(x1, y1, x2, y2, x3, y3, dist, ang, text)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::StartPline(double x1, double y1, bool closed) 
{
  AUTONAMES0("StartPline")
  AUTOARGS3(x1, y1, TBool(closed))
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::AddPlineVertex(double x1, double y1) 
{
  AUTONAMES0("AddPlineVertex")
  AUTOARGS2(x1, y1)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::EndPline() 
{
  AUTONAMES0("EndPline")
  AUTOARGS0()
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::CreateRect(double x1, double y1, double x2, double y2) 
{
  AUTONAMES0("CreateRect")
  AUTOARGS4(x1, y1, x2, y2)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::CreateFill(long elemId) 
{
  AUTONAMES0("CreateFill")
  AUTOARGS1(elemId)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::CreateBmp(TAutoString dibPath, double x1, double y1, double x2, double y2, bool scale) 
{
  AUTONAMES0("CreateBmp")
  AUTOARGS6(dibPath, x1, y1, x2, y2, TBool(scale))
  AUTOCALL_METHOD_CONV(TBool)
}

void GcadOleView::Undo() 
{
  AUTONAMES0("Undo")
  AUTOARGS0()
  AUTOCALL_METHOD_VOID
}

long GcadOleView::CurrSelGetFirst() 
{
  AUTONAMES0("CurrSelGetFirst")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

long GcadOleView::CurrSelGetNext() 
{
  AUTONAMES0("CurrSelGetNext")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

long GcadOleView::DwgGetFirst() 
{
  AUTONAMES0("DwgGetFirst")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

long GcadOleView::DwgGetNext() 
{
  AUTONAMES0("DwgGetNext")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

void GcadOleView::SelectOne() 
{
  AUTONAMES0("SelectOne")
  AUTOARGS0()
  AUTOCALL_METHOD_VOID
}

long GcadOleView::IsPgmSelDone() 
{
  AUTONAMES0("IsPgmSelDone")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

long GcadOleView::GetLastElem() 
{
  AUTONAMES0("GetLastElem")
  AUTOARGS0()
  AUTOCALL_METHOD_RET
}

void GcadOleView::ClearPgmSel() 
{
  AUTONAMES0("ClearPgmSel")
  AUTOARGS0()
  AUTOCALL_METHOD_VOID
}

void GcadOleView::ClearSel() 
{
  AUTONAMES0("ClearSel")
  AUTOARGS0()
  AUTOCALL_METHOD_VOID
}

bool GcadOleView::AddToSel(long elemId) 
{
  AUTONAMES0("AddToSel")
  AUTOARGS1(elemId)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::RemoveFromSel(long elemId) 
{
  AUTONAMES0("RemoveFromSel")
  AUTOARGS1(elemId)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::DelSel() 
{
  AUTONAMES0("DelSel")
  AUTOARGS0()
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::MoveSel(double x1, double y1, double x2, double y2) 
{
  AUTONAMES0("MoveSel")
  AUTOARGS4(x1, y1, x2, y2)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::CopySel(double x1, double y1, double x2, double y2) 
{
  AUTONAMES0("CopySel")
  AUTOARGS4(x1, y1, x2, y2)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::RotateSel(double x1, double y1, double ang) 
{
  AUTONAMES0("RotateSel")
  AUTOARGS3(x1, y1, ang)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ScaleSel(double x1, double y1, double xscale, double yscale) 
{
  AUTONAMES0("ScaleSel")
  AUTOARGS4(x1, y1, xscale, yscale)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::MirrorSel(double x1, double y1, double x2, double y2, bool del) 
{
  AUTONAMES0("MirrorSel")
  AUTOARGS5(x1, y1, x2, y2, TBool(del))
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::AdjustSel(double x1, double y1, double x2, double y2, double x3, double y3, double x4, double y4) 
{
  AUTONAMES0("AdjustSel")
  AUTOARGS8(x1, y1, x2, y2, x3, y3, x4, y4)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ChangeLineColor(long color) 
{
  AUTONAMES0("ChangeLineColor")
  AUTOARGS1(color)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ChangeLineType(long type) 
{
  AUTONAMES0("ChangeLineType")
  AUTOARGS1(type)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ChangeLineWidth(double Width) 
{
  AUTONAMES0("ChangeLineWidth")
  AUTOARGS1(Width)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ChangePointColor(long color) 
{
  AUTONAMES0("ChangePointColor")
  AUTOARGS1(color)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ChangePointType(long type) 
{
  AUTONAMES0("ChangePointType")
  AUTOARGS1(type)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ChangePointSize(double size) 
{
  AUTONAMES0("ChangePointSize")
  AUTOARGS1(size)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ChangeTextFont(TAutoString FaceName, long weight, long color, long italic, long underline, long strikeOut) 
{
  AUTONAMES0("ChangeTextFont")
  AUTOARGS6(FaceName, weight, color, italic, underline, strikeOut)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ChangeTextHgt(double hgt) 
{
  AUTONAMES0("ChangeTextHgt")
  AUTOARGS1(hgt)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ChangeTextWidth(double Width) 
{
  AUTONAMES0("ChangeTextWidth")
  AUTOARGS1(Width)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ChangeTextAngle(double angle) 
{
  AUTONAMES0("ChangeTextAngle")
  AUTOARGS1(angle)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ChangeTextOrient(double orient) 
{
  AUTONAMES0("ChangeTextOrient")
  AUTOARGS1(orient)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ChangeTextJust(long just) 
{
  AUTONAMES0("ChangeTextJust")
  AUTOARGS1(just)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ChangeFillColor(long color) 
{
  AUTONAMES0("ChangeFillColor")
  AUTOARGS1(color)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ChangeFillType(long type) 
{
  AUTONAMES0("ChangeFillType")
  AUTOARGS1(type)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ChangeLayer(TAutoString layer) 
{
  AUTONAMES0("ChangeLayer")
  AUTOARGS1(layer)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetFilletParms(long type, double dist) 
{
  AUTONAMES0("SetFilletParms")
  AUTOARGS2(type, dist)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::Fillet(long elemId1, long elemId2, double x1, double y1, double x2, double y2) 
{
  AUTONAMES0("Fillet")
  AUTOARGS6(elemId1, elemId2, x1, y1, x2, y2)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::BreakEnd(long elemId, double x1, double y1, double x2, double y2) 
{
  AUTONAMES0("BreakEnd")
  AUTOARGS5(elemId, x1, y1, x2, y2)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::BreakMiddle(long elemId, double x1, double y1, double x2, double y2) 
{
  AUTONAMES0("BreakMiddle")
  AUTOARGS5(elemId, x1, y1, x2, y2)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::Extend(long elemBnd, long elemExt, double x1, double y1) 
{
  AUTONAMES0("Extend")
  AUTOARGS4(elemBnd, elemExt, x1, y1)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::Offset(long elem, double dist) 
{
  AUTONAMES0("Offset")
  AUTOARGS2(elem, dist)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::Explode(long elem) 
{
  AUTONAMES0("Explode")
  AUTOARGS1(elem)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ChangeText(long elem, TAutoString text) 
{
  AUTONAMES0("ChangeText")
  AUTOARGS2(elem, text)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::OpenClosePline(long elem) 
{
  AUTONAMES0("OpenClosePline")
  AUTOARGS1(elem)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::RedefSym(TAutoString path) 
{
  AUTONAMES0("RedefSym")
  AUTOARGS1(path)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::CopyBmp(double x1, double y1, double x2, double y2) 
{
  AUTONAMES0("CopyBmp")
  AUTOARGS4(x1, y1, x2, y2)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ZoomWin(double x1, double y1, double x2, double y2) 
{
  AUTONAMES0("ZoomWin")
  AUTOARGS4(x1, y1, x2, y2)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ZoomExt() 
{
  AUTONAMES0("ZoomExt")
  AUTOARGS0()
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ZoomPrev() 
{
  AUTONAMES0("ZoomPrev")
  AUTOARGS0()
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ZoomFactor(double fact) 
{
  AUTONAMES0("ZoomFactor")
  AUTOARGS1(fact)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ZoomPage() 
{
  AUTONAMES0("ZoomPage")
  AUTOARGS0()
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::ZoomPageExt() 
{
  AUTONAMES0("ZoomPageExt")
  AUTOARGS0()
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::Pan(double dx, double dy) 
{
  AUTONAMES0("Pan")
  AUTOARGS2(dx, dy)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::Redraw() 
{
  AUTONAMES0("Redraw")
  AUTOARGS0()
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetLineColor(long color) 
{
  AUTONAMES0("SetLineColor")
  AUTOARGS1(color)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetLineType(long type) 
{
  AUTONAMES0("SetLineType")
  AUTOARGS1(type)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetLineWidth(double Width) 
{
  AUTONAMES0("SetLineWidth")
  AUTOARGS1(Width)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetTextFont(TAutoString FaceName, double Height, long weight, long color, long italic, long underline, long strikeOut) 
{
  AUTONAMES0("SetTextFont")
  AUTOARGS7(FaceName, Height, weight, color, italic, underline, strikeOut)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetTextHgt(double hgt) 
{
  AUTONAMES0("SetTextHgt")
  AUTOARGS1(hgt)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetTextWidth(double Width) 
{
  AUTONAMES0("SetTextWidth")
  AUTOARGS1(Width)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetTextAngle(double angle) 
{
  AUTONAMES0("SetTextAngle")
  AUTOARGS1(angle)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetTextOrient(double orient) 
{
  AUTONAMES0("SetTextOrient")
  AUTOARGS1(orient)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetTextJust(long just) 
{
  AUTONAMES0("SetTextJust")
  AUTOARGS1(just)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetPointColor(long color) 
{
  AUTONAMES0("SetPointColor")
  AUTOARGS1(color)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetPointType(long type) 
{
  AUTONAMES0("SetPointType")
  AUTOARGS1(type)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetPointSize(double Width) 
{
  AUTONAMES0("SetPointSize")
  AUTOARGS1(Width)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetFillColor(long color) 
{
  AUTONAMES0("SetFillColor")
  AUTOARGS1(color)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetFillType(long type) 
{
  AUTONAMES0("SetFillType")
  AUTOARGS1(type)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetDimArrowScale(double scale) 
{
  AUTONAMES0("SetDimArrowScale")
  AUTOARGS1(scale)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetDimOffset(double Offset) 
{
  AUTONAMES0("SetDimOffset")
  AUTOARGS1(Offset)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::AddLayer(TAutoString layer) 
{
  AUTONAMES0("AddLayer")
  AUTOARGS1(layer)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetLayerLock(TAutoString layer, bool lock) 
{
  AUTONAMES0("SetLayerLock")
  AUTOARGS2(layer, TBool(lock))
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetLayerPrint(TAutoString layer, bool print) 
{
  AUTONAMES0("SetLayerPrint")
  AUTOARGS2(layer, TBool(print))
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetLayerOn(TAutoString layer, bool on) 
{
  AUTONAMES0("SetLayerOn")
  AUTOARGS2(layer, TBool(on))
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::RenameLayer(TAutoString oldName, TAutoString newName) 
{
  AUTONAMES0("RenameLayer")
  AUTOARGS2(oldName, newName)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetCurrentLayer(TAutoString layer) 
{
  AUTONAMES0("SetCurrentLayer")
  AUTOARGS1(layer)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetBasePt(double X, double Y) 
{
  AUTONAMES0("SetBasePt")
  AUTOARGS2(X, Y)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetGridParms(double dx, double dy, double xo, double yo, long disp) 
{
  AUTONAMES0("SetGridParms")
  AUTOARGS5(dx, dy, xo, yo, disp)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetNumFmt(long type, long ndec, long denom, long cdec) 
{
  AUTONAMES0("SetNumFmt")
  AUTOARGS4(type, ndec, denom, cdec)
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetDispPage(bool disp) 
{
  AUTONAMES0("SetDispPage")
  AUTOARGS1(TBool(disp))
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetDispDxf(bool disp) 
{
  AUTONAMES0("SetDispDxf")
  AUTOARGS1(TBool(disp))
  AUTOCALL_METHOD_CONV(TBool)
}

bool GcadOleView::SetSnapMode(long mode) 
{
  AUTONAMES0("SetSnapMode")
  AUTOARGS1(mode)
  AUTOCALL_METHOD_CONV(TBool)
}

void GcadOleView::GetExtents(double far* xmin, double far* ymin, double far* xmax, double far* ymax) 
{
  AUTONAMES0("GetExtents")
  AUTOARGS4(xmin, ymin, xmax, ymax)
  AUTOCALL_METHOD_VOID
}

void GcadOleView::GetPoint() 
{
  AUTONAMES0("GetPoint")
  AUTOARGS0()
  AUTOCALL_METHOD_VOID
}

long GcadOleView::IsPointSelDone(double far* X, double far* Y) 
{
  AUTONAMES0("IsPointSelDone")
  AUTOARGS2(X, Y)
  AUTOCALL_METHOD_RET
}

void GcadOleView::SetPrompt(TAutoString text) 
{
  AUTONAMES0("SetPrompt")
  AUTOARGS1(text)
  AUTOCALL_METHOD_VOID
}

long GcadOleView::GetElemType(long elemId) 
{
  AUTONAMES0("GetElemType")
  AUTOARGS1(elemId)
  AUTOCALL_METHOD_RET
}

void GcadOleView::GetLineElem(LineElem& obj, long elemId) 
{
  AUTONAMES0("GetLineElem")
  AUTOARGS1(elemId)
  AUTOCALL_METHOD_REF(obj)
}

void GcadOleView::GetArcElem(ArcElem& obj, long elemId) 
{
  AUTONAMES0("GetArcElem")
  AUTOARGS1(elemId)
  AUTOCALL_METHOD_REF(obj)
}

void GcadOleView::GetCircleElem(CircleElem& obj, long elemId) 
{
  AUTONAMES0("GetCircleElem")
  AUTOARGS1(elemId)
  AUTOCALL_METHOD_REF(obj)
}

void GcadOleView::GetPointElem(PointElem& obj, long elemId) 
{
  AUTONAMES0("GetPointElem")
  AUTOARGS1(elemId)
  AUTOCALL_METHOD_REF(obj)
}

void GcadOleView::GetTextElem(TextElem& obj, long elemId) 
{
  AUTONAMES0("GetTextElem")
  AUTOARGS1(elemId)
  AUTOCALL_METHOD_REF(obj)
}

void GcadOleView::GetPlineElem(PlineElem& obj, long elemId) 
{
  AUTONAMES0("GetPlineElem")
  AUTOARGS1(elemId)
  AUTOCALL_METHOD_REF(obj)
}

void GcadOleView::GetInsertElem(InsertElem& obj, long elemId) 
{
  AUTONAMES0("GetInsertElem")
  AUTOARGS1(elemId)
  AUTOCALL_METHOD_REF(obj)
}

void GcadOleView::GetFillElem(FillElem& obj, long elemId) 
{
  AUTONAMES0("GetFillElem")
  AUTOARGS1(elemId)
  AUTOCALL_METHOD_REF(obj)
}

void GcadOleView::GetBmpElem(BmpElem& obj, long elemId) 
{
  AUTONAMES0("GetBmpElem")
  AUTOARGS1(elemId)
  AUTOCALL_METHOD_REF(obj)
}

void GcadOleView::GetApplication(TGcadApp& obj) 
{
  AUTONAMES0("Application")
  AUTOARGS0()
  AUTOCALL_PROP_REF(obj)
}

